Subject: bug#15998: 24.3; forward-sexp (scan-sexps) doesn't do well with some SEXPs

From: Stefan Monnier <[email-masked]>
Date: Sun, 07 Jul 2019 09:28:08 -0400

>> No, but I think syntax-propertize can take care of those things.
> The patch below seems to work, no new sexp movement commands needed?

It should work indeed, tho I'm not sure it'll fix the original problem,
because I don't know *where* the original problem happened and this
patch only fixes the case where we do such navigation in
emacs-lisp-mode, but things #s(...) and #&"..." are *very* rare in
those buffers.

So I'm not completely sure the cost imposed by this patch is worth
the benefit.  Maybe we could start by adding those rules to the
elisp-byte-code-mode?

        Stefan